UPDATE ATM
PUT /obp/v7.0.0/banks/BANK_ID/atms/ATM_ID
OBPv5.1.0-updateAtm Roles: CanUpdateAtm(per bank),CanUpdateAtmAtAnyBank ATM
Update ATM.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
ATM_ID: atme-9a0f-4bfa-b30b-9003aa467f51
BANK_ID: gh.29.uk
JSON response body fields (52)
- accessibility_features
- ["ATAC","ATAD"]
- address
- atm_attribute_id
- xxaf2a-9a0f-4bfa-b30b-9003aa467f51
- atm_id
- atme-9a0f-4bfa-b30b-9003aa467f51
- atm_type
- balance_inquiry_fee
- bank_id
- gh.29.uk
- branch_identification
- branch_identification
- cash_withdrawal_international_fee
- cash_withdrawal_national_fee
- city
- closing_time
- 2020-01-27
- country_code
- 1254
- county
- friday
- has_deposit_capability
- false
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- is_accessible
- false
- latitude
- 38.8951
- license
- line_1
- line_2
- line_3
- located_at
- location
- location_categories
- location_categories
- longitude
- -77.0364
- meta
- minimum_withdrawal
- minimum_withdrawal
- monday
- more_info
- More information about this fee
- name
- ACCOUNT_MANAGEMENT_FEE
- notes
- notes
- opening_time
- phone
- postcode
- saturday
- services
- [{"CY":["PS_010","PS_020","PS_03C","PS_04C"]}]
- site_identification
- site_identification
- site_name
- site_name
- state
- sunday
- supported_currencies
- ["EUR","MXN","USD"]
- supported_languages
- ["es","fr","de"]
- thursday
- tuesday
- type
- value
- 5987953
- wednesday
- attributes
- attribute value in form of (name, value)
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- is_active
- false
Example request body
{
"bank_id": "gh.29.uk",
"name": "Atm by the Lake",
"address": {
"line_1": "No 1 the Road",
"line_2": "The Place",
"line_3": "The Hill",
"city": "Berlin",
"county": "",
"state": "Brandenburg",
"postcode": "13359",
"country_code": "DE"
},
"location": {
"latitude": 11.45,
"longitude": 11.45
},
"meta": {
"license": {
"id": "ODbL-1.0",
"name": "Open Database License"
}
},
"monday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"tuesday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"wednesday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"thursday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"friday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"saturday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"sunday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"is_accessible": "false",
"located_at": "",
"more_info": "More information about this fee",
"has_deposit_capability": "false",
"supported_languages": [
"es",
"fr",
"de"
],
"services": [
"ATBP",
"ATBA"
],
"accessibility_features": [
"ATAC",
"ATAD"
],
"supported_currencies": [
"EUR",
"MXN",
"USD"
],
"notes": [
"String1",
"String2"
],
"location_categories": [
"ATBI",
"ATBE"
],
"minimum_withdrawal": "5",
"branch_identification": "",
"site_identification": "",
"site_name": "",
"cash_withdrawal_national_fee": "",
"cash_withdrawal_international_fee": "",
"balance_inquiry_fee": "",
"atm_type": "",
"phone": ""
}Example success response
{
"id": "atme-9a0f-4bfa-b30b-9003aa467f51",
"bank_id": "gh.29.uk",
"name": "Atm by the Lake",
"address": {
"line_1": "No 1 the Road",
"line_2": "The Place",
"line_3": "The Hill",
"city": "Berlin",
"county": "",
"state": "Brandenburg",
"postcode": "13359",
"country_code": "DE"
},
"location": {
"latitude": 11.45,
"longitude": 11.45
},
"meta": {
"license": {
"id": "ODbL-1.0",
"name": "Open Database License"
}
},
"monday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"tuesday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"wednesday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"thursday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"friday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"saturday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"sunday": {
"opening_time": "10:00",
"closing_time": "18:00"
},
"is_accessible": "false",
"located_at": "",
"more_info": "More information about this fee",
"has_deposit_capability": "false",
"supported_languages": [
"es",
"fr",
"de"
],
"services": [
"ATBP",
"ATBA"
],
"accessibility_features": [
"ATAC",
"ATAD"
],
"supported_currencies": [
"EUR",
"MXN",
"USD"
],
"notes": [
"String1",
"String2"
],
"location_categories": [
"ATBI",
"ATBE"
],
"minimum_withdrawal": "5",
"branch_identification": "",
"site_identification": "",
"site_name": "",
"cash_withdrawal_national_fee": "",
"cash_withdrawal_international_fee": "",
"balance_inquiry_fee": "",
"atm_type": "",
"phone": "",
"attributes": [
{
"bank_id": "gh.29.uk",
"atm_id": "atme-9a0f-4bfa-b30b-9003aa467f51",
"atm_attribute_id": "xxaf2a-9a0f-4bfa-b30b-9003aa467f51",
"name": "ACCOUNT_MANAGEMENT_FEE",
"type": "",
"value": "5987953",
"is_active": false
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: